# Static Site Boilerplate  &nbsp; [![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/intent/tweet?text=Static%20Site%20Boilerplate%3A%20A%20better%20workflow%20for%20building%20modern%20static%20websites&url=http://staticsiteboilerplate.com/&via=ericalli&hashtags=html,css,javascript,webdev)
[![Build Status](https://travis-ci.org/ericalli/static-site-boilerplate.svg?branch=master)](https://travis-ci.org/ericalli/static-site-boilerplate)
[![devDependency Status](https://david-dm.org/ericalli/static-site-boilerplate/dev-status.svg)](https://david-dm.org/ericalli/static-site-boilerplate?type=dev)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://opensource.org/licenses/MIT)


**Discuss it on [Product Hunt](https://www.producthunt.com/posts/static-site-boilerplate) 🦄**

[![Static Site Boilerplate](http://staticsiteboilerplate.com/externals/github.png)](https://github.com/ericalli/static-site-boilerplate/releases/latest)

* Homepage: [http://staticsiteboilerplate.com/](http://staticsiteboilerplate.com//)
* Documentation: [https://docs.staticsiteboilerplate.com/](https://docs.staticsiteboilerplate.com/)

## Installation

```bash
git clone https://github.com/ericalli/static-site-boilerplate
 ```
 
 ```bash
cd static-site-boilerplate
 ```
 
 ```bash
rm -rf .git && git init
 ```
 
 ## Features

* **Modern Technologies:** Full support for HTML5, JavaScript (Vanilla and ES6) and CSS (Sass and PostCSS)
* **Built-in Server:** Local development server with hot reloading
* **Performance Tuning:** CSS and JavaScript transpilation, bundling, autoprefixing, and minification
* **Image Optimization:** Optimizes images for loading speed
* **Favicon Generation:** Automatically generates all favicons for Web, Apple and Android devices from one image file
* **Code Linting:** Full support for JavaScript (ESLint) and CSS (StyleLint) linting
* **Sitemap & Robots.txt Generation:** Automatically generates a sitemap.xml and robots.txt files
* **Setup Wizard:** Optionally install helpful libraries and snippets including:
  * CSS Resets: `normalize.css` `reset.css` or `sanitize.css`
  * jQuery
  * Google Analytics
* **Cutting Edge:** Uses Webpack for processing and bundling your code 
* **Deployment:** Built-in support for deployment via FTP or Netlify 

## Browser Support

* Chrome _\(latest 2\)_
* Edge _\(latest 2\)_
* Firefox _\(latest 2\)_
* Internet Explorer 9+
* Opera _\(latest 2\)_
* Safari _\(latest 2\)_

_This  is fully dependent on your code and doesn't mean that Static Site Boilerplate won't work in older browsers, just that we'll ensure compatibility with the ones mentioned above._

## Support & Contributing

For general questions about Static Site Boilerplate, tweet at [@ericalli](https://twitter.com/ericalli).

Anyone is welcome to contribute. If you decide to get involved, please take a moment and check out the following:

* [Bug reports](.github/ISSUE_TEMPLATE/bug_report.md)
* [Feature requests](.github/ISSUE_TEMPLATE/feature_request.md)


## Author

**Eric Alli**

-   Website: <http://www.ericalli.com/>
-   Github: <https://github.com/ericalli/>

## License

The code is available under the [MIT license](LICENSE).
